EDIT - feature request #8761

Remove TaxonName_NomenclaturalStatus MN table
12/11/2019 02:13 PM - Andreas Muller

Status: Closed Start date:

Priority: Priority14 Due date:

Assignee: Andreas Muller % Done: 100%
Category: cdm Estimated time: 0:00 hour
Target version: Release 5.22

Severity: normal

Description

As a status belongs always to exactly 1 name an MN table is not necessary

Related issues:
Related to EDIT - task #9536: Remove old single source citation and microCita... Closed

Associated revisions

Revision a4b2a082 - 03/18/2021 09:55 PM - Andreas Miiller

ref #8761 handle TaxonName -> NomenclaturalStatus link correctly in PESI validation

Revision 9e897cb2 - 03/19/2021 02:05 PM - Andreas Miiller

fix #8761 handle TaxonName -> NomenclaturalStatus link correctly

Revision 40a76138 - 03/19/2021 02:05 PM - Andreas Miiller

ref #8761 fix correct handling of nomStatus setter

Revision 0f9bc41f - 03/19/2021 02:14 PM - Andreas Miiller

fix #8761 adapt test data for handling TaxonName -> NomenclaturalStatus link correctly in TaxEditor

History

#1 - 05/01/2020 11:47 PM - Andreas Miuller

- Description updated

#2 - 06/23/2020 02:53 PM - Andreas Miiller
- Target version changed from CDM UML 5.15 to CDM UML 5.43

#3 - 03/18/2021 09:27 PM - Andreas Miiller

- Related to task #9536: Remove old single source citation and microCitation columns for secundum and
DescriptionElementBase_OriginalSourceBase and TaxonName_NomenclaturalStatus added

#4 - 03/18/2021 09:56 PM - Andreas Miiller
- Status changed from New to Resolved

- % Done changed from 0 to 50

#5 - 03/19/2021 06:10 PM - Andreas Miiller

- Status changed from Resolved to Closed

- Target version changed from CDM UML 5.43 to Release 5.22
- % Done changed from 50 to 100

This works. The MN table is not touched anymore when data is edited.
